import { html as a } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var u = Object.defineProperty, m = Object.getOwnPropertyDescriptor, c = (n, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, s) : t, i = n.length - 1, p; i >= 0; i--)
    (p = n[i]) && (e = (r ? p(t, s, e) : p(e)) || e);
  return r && e && u(t, s, e), e;
};
let o = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--euro", this.class = "c-pieIcon c-pieIcon--euro", this.name = "IconEuro";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--euro"><path d="M11.885 11.815a3.93 3.93 0 0 1-3.062 1.339 4.08 4.08 0 0 1-3.982-2.748h4.034V9.094H4.5a6 6 0 0 1 0-.656 6 6 0 0 1 0-.657h4.375V6.47H4.841A4.08 4.08 0 0 1 8.822 3.72a4.02 4.02 0 0 1 3.072 1.348l.962-.875a5.25 5.25 0 0 0-4.033-1.75 5.45 5.45 0 0 0-5.39 4.025H1.875V7.78h1.304a6 6 0 0 0 0 1.313H1.875v1.312h1.558a5.45 5.45 0 0 0 5.39 4.06 5.25 5.25 0 0 0 4.042-1.75z"></path></svg>`;
  }
};
c([
  l({ type: String, reflect: !0 })
], o.prototype, "size", 2);
c([
  l({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = c([
  f("icon-euro")
], o);
export {
  o as IconEuro
};
